cc.funkemunky.api.utils.blockbox.boxes

## Class BlockBox1_11_R1

- java.lang.Object
- - cc.funkemunky.api.utils.blockbox.boxes.BlockBox1_11_R1

All Implemented Interfaces:
  BlockBox

    public class BlockBox1_11_R1
    extends java.lang.Object
    implements BlockBox

### Constructor Summary

Constructors
Constructor and Description
`BlockBox1_11_R1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`float` `getAiSpeed(org.bukkit.entity.Player player)`
`java.util.List<BoundingBox>` `getCollidingBoxes(org.bukkit.World world, BoundingBox box)`
`float` `getMovementFactor(org.bukkit.entity.Player player)`
`java.util.List<BoundingBox>` `getSpecificBox(org.bukkit.Location loc)`
`int` `getTrackerId(org.bukkit.entity.Player player)`
`boolean` `isChunkLoaded(org.bukkit.Location loc)`
`boolean` `isRiptiding(org.bukkit.entity.LivingEntity entity)`
`boolean` `isUsingItem(org.bukkit.entity.Player player)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BlockBox1_11_R1

    public BlockBox1_11_R1()

### Method Detail

#### getCollidingBoxes

    public java.util.List<BoundingBox> getCollidingBoxes(org.bukkit.World world,
                                                         BoundingBox box)

Specified by:
  `getCollidingBoxes` in interface `BlockBox`

#### getSpecificBox

    public java.util.List<BoundingBox> getSpecificBox(org.bukkit.Location loc)

Specified by:
  `getSpecificBox` in interface `BlockBox`

#### isChunkLoaded

    public boolean isChunkLoaded(org.bukkit.Location loc)

Specified by:
  `isChunkLoaded` in interface `BlockBox`

#### isUsingItem

    public boolean isUsingItem(org.bukkit.entity.Player player)

Specified by:
  `isUsingItem` in interface `BlockBox`

#### getMovementFactor

    public float getMovementFactor(org.bukkit.entity.Player player)

Specified by:
  `getMovementFactor` in interface `BlockBox`

#### isRiptiding

    public boolean isRiptiding(org.bukkit.entity.LivingEntity entity)

Specified by:
  `isRiptiding` in interface `BlockBox`

#### getTrackerId

    public int getTrackerId(org.bukkit.entity.Player player)

Specified by:
  `getTrackerId` in interface `BlockBox`

#### getAiSpeed

    public float getAiSpeed(org.bukkit.entity.Player player)

Specified by:
  `getAiSpeed` in interface `BlockBox`